Loading...
Searching...
No Matches
PointDataNodeChain< tree::InternalNode< ChildT, Log2Dim >, HeadLevel > Struct Template Reference

`#include <openvdb/points/PointDataGrid.h>`

## Public Types

using | SubtreeT = typename PointDataNodeChain<ChildT, HeadLevel-1>::Type
using | InternalNodeT = tree::InternalNode<typename SubtreeT::Back, Log2Dim>
using | Type = typename SubtreeT::template Append<InternalNodeT>
using | RootNodeT

## Member Typedef Documentation

## InternalNodeT

template<typename ChildT, Index Log2Dim, int HeadLevel>

using InternalNodeT = tree::InternalNode<typename SubtreeT::Back, Log2Dim>

## RootNodeT

using RootNodeT

## SubtreeT

template<typename ChildT, Index Log2Dim, int HeadLevel>

using SubtreeT = typename PointDataNodeChain<ChildT, HeadLevel-1>::Type

## Type

template<typename ChildT, Index Log2Dim, int HeadLevel>

using Type = typename SubtreeT::template Append<InternalNodeT>